/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnInit, OnDestroy, ElementRef, Renderer2 } from '@angular/core';
import { DraggableDirective } from '@progress/kendo-angular-common';
import { DragResizeService } from './drag-resize.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ResizeHandleDirective implements OnInit, OnDestroy {
    draggable: DraggableDirective;
    private el;
    private renderer;
    private service;
    direction: string;
    get hostClass(): boolean;
    private subscriptions;
    constructor(draggable: DraggableDirective, el: ElementRef, renderer: Renderer2, service: DragResizeService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private setDisplay;
    static ɵfac: i0.ɵɵFactoryDeclaration<ResizeHandleDirective, [{ host: true; }, null, null, null]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<ResizeHandleDirective, "[kendoWindowResizeHandle]", never, { "direction": { "alias": "direction"; "required": false; }; }, {}, never, never, true, never>;
}
